register_sample_file_type(3)

NAME
register_sample_file_type - Registers custom loading/saving sample routines. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void register_sample_file_type(const char *ext, SAMPLE *(*load)(const char *filename), int (*save)(const char *filename, SAMPLE *spl));

DESCRIPTION
Informs the load_sample() function of a new sample file type, providing routines to read and write samples in this format (either function may be NULL). Example:
   SAMPLE *load_mp3(const char *filename)
   {
      ...
   }

      register_sample_file_type("mp3", load_mp3, NULL);

SEE ALSO
load_sample(3), save_sample(3)